Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.payment
Class ServiceConfigurationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.beasys.commerce.foundation.exception.ApplicationException
                  com.beasys.commerce.ebusiness.payment.PaymentException
                      com.beasys.commerce.ebusiness.payment.ServiceConfigurationException

All Implemented Interfaces:
  MessageCatalogException, Serializable

public class ServiceConfigurationException
extends PaymentException

Represents the condition when the merchant's Payment service configuration is wrong. In this situation, the transaction gets logged by the system and the user is notified

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.beasys.commerce.foundation.exception.ApplicationException
`embeddedException, logMessages, userMessages`

Constructor Summary
`ServiceConfigurationException(String namespace, String messageKey)` Create a ServiceConfigurationException with namespace and messageKey.
`ServiceConfigurationException(String namespace, String messageKey, TransactionResponse response)` Create a ServiceConfigurationException with the response object.

Methods inherited from class com.beasys.commerce.ebusiness.payment.PaymentException
`getResponse`

Methods inherited from class com.beasys.commerce.foundation.exception.ApplicationException
`addLogMessage, addLogMessage, addLogMessage, addMessage, addMessage, addMessage, addUserMessage, addUserMessage, addUserMessage, getEmbeddedException, getLocalizedMessage, getLogMessage, getLogMessages, getMessage, getUserMessage, getUserMessages, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServiceConfigurationException

    public ServiceConfigurationException(String namespace,
                                         String messageKey)

  Create a ServiceConfigurationException with namespace and messageKey.

Parameters:
  `namespace` - The associated catalog namespace.

### ServiceConfigurationException

    public ServiceConfigurationException(String namespace,
                                         String messageKey,
                                         TransactionResponse response)

  Create a ServiceConfigurationException with the response object.

Parameters:
  `namespace` - The associated catalog namespace.
  `response` - The service provider specifc response object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved